# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Element Midpoint

JXG.GeometryElement
↳ JXG.Point
↳ Midpoint

The midpoint element constructs a point in the middle of two given points.
Defined in: Composition.js.
Extends JXG.Point.

Element Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Midpoint A midpoint is given by two points.

Element Detail
Midpoint
A midpoint is given by two points. It is collinear to the given points and the distance is the same to each of the given points, i.e. it is in the middle of the given points.

This element has no direct constructor. To create an instance of this element you have to call JXG.Board#create with type "midpoint".
Possible parent array combinations are:
{JXG.Point} p1
{JXG.Point} p2
  The constructed point will be in the middle of p1 and p2.
{JXG.Line} l
  The midpoint will be in the middle of JXG.Line#point1 and JXG.Line#point2 of the given line l.

Throws:
{Error}
  If the element cannot be constructed with the given parent objects an exception is thrown.

Examples:

    // Create base elements: 2 points and 1 line
    var p1 = board.create('point', [0.0, 2.0]);
    var p2 = board.create('point', [2.0, 1.0]);
    var l1 = board.create('segment', [[0.0, 3.0], [3.0, 3.0]]);

    var mp1 = board.create('midpoint', [p1, p2]);
    var mp2 = board.create('midpoint', [l1]);

Attributes borrowed from other Elements

Attributes borrowed from class JXG.Point:
  attractorDistance, attractors, face, showInfobox, size, snapSizeX, snapSizeY, snapToGrid, snapToPoints, snatchDistance, style
Attributes borrowed from class JXG.GeometryElement:
  dash, draft, fillColor, fillOpacity, fixed, frozen, highlight, highlightFillColor, highlightFillOpacity, highlightStrokeColor, highlightStrokeOpacity, highlightStrokeWidth, needsRegularUpdate, shadow, strokeColor, strokeOpacity, strokeWidth, trace, traceAttributes, visible, withLabel

Fields borrowed from other Elements

Fields borrowed from class JXG.Point:
  coords, group, onPolygon, position
Fields borrowed from class JXG.GeometryElement:
  addEvent, ancestors, baseElement, board, childElements, descendants, dump, elementClass, elType, eventHandlers, getAttribute, hasLabel, highlighted, id, isDraggable, isReal, methodMap, mouseover, name, needsUpdate, notExistingParents, numTraces, quadraticform, removeEvent, stdform, subs, symbolic, traces, transformations, type, visProp

Methods borrowed from other Elements

Methods borrowed from class JXG.Point:
  _anim, addConstraint, addTransform, Dist, free, handleAttractors, handleSnapToGrid, handleSnapToPoints, hasPoint, makeGlider, moveAlong, moveTo, normalizeFace, remove, setGliderPosition, setPosition, setPositionByTransform, setPositionDirectly, setStyle, update, updateConstraint, updateGlider, updateGliderFromParent, updateRenderer, updateTransform, visit, X, XEval, Y, YEval, Z, ZEval
Methods borrowed from class JXG.GeometryElement:
  _set, addChild, addDescendants, animate, bounds, clearTrace, cloneToBackground, countChildren, createGradient, createLabel, draggable, generatePolynomial, getAttributes, getLabelAnchor, getName, getParents, getProperty, getTextAnchor, getType, hideElement, labelColor, noHighlight, normalize, off, on, prepareUpdate, resolveShortcuts, setArrow, setAttribute, setDash, setLabelText, setProperty, setStraight, showElement, triggerEventHandlers

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:10 GMT+0200 (MESZ)